local _, addon = ...

-- database of buff spells and reagents
addon.spells = {
	DRUID = {
		{	-- Rebirth
			spells = {20484},
			reagent = 17034, -- Maple Seed
		},
	},
	MAGE = {
		{	-- Teleports
			spells = {
				53140,	-- Dalaran
				33690,	-- Shattrath (Alliance)
				35715,	-- Shattrath (Horde)
				3561,	-- Stormwind
				3562,	-- Ironforge
				3565,	-- Darnassus
				32271,	-- Exodar
				3567,	-- Orgrimmar
				3563,	-- Undercity
				3566,	-- Thunder Bluff
				32272,	-- Silvermoon
			},
			reagent = 17031,
		},
		{	-- Portals
			spells = {
				53142,	-- Dalaran
				33691,	-- Shattrath
				35717,	-- Shattrath
				10059,	-- Stormwind
				11416,	-- Ironforge
				11419,	-- Darnassus
				32266,	-- Exodar
				11417,	-- Orgrimmar
				11418,	-- Undercity
				11420,	-- Thunder Bluff
				32267,	-- Silvermoon
				49360,	-- Theramore
				49361,	-- Stonard
			},
			reagent = 17032,
		},
		{	-- Table of Refreshment
			spells = {43987},
			reagent = 17020,
		},
		{	-- Slow fall
			spells = {130},
			reagent = 17056,
		},
	},
	PRIEST = {
		{
			-- Levitate
			spells = {1706},
			reagent = 17056,
		}
	},
	-- using the "Poisons" skill for all poisons
	ROGUE = {
		{	-- Instant
			spells = {2842},
			reagent = 6947,
		},
		{	-- Crippling
			spells = {2842},
			reagent = 3775,
		},
		{	-- Mind-numbing
			spells = {2842},
			reagent = 5237,
		},
		{	-- Deadly
			spells = {2842},
			reagent = 2892,
		},
		{	-- Wound
			spells = {2842},
			reagent = 10918,
		},
	},
	SHAMAN = {
		{	-- Reincarnation
			spells = {20608},
			reagent = 17030,
		},
		{	-- Water breathing
			spells = {131},
			reagent = 17057,
		},
		{	-- Water walking
			spells = {546},
			reagent = 17058,
		},
	},
}